diff -r -u -H -N gcc-2.6.3/loop.c gcc-i2.6.3/loop.c
--- gcc-2.6.3/loop.c	Wed Nov 16 19:29:26 1994
+++ gcc-i2.6.3/loop.c	Thu Feb 16 12:59:32 1995
@@ -3969,6 +4526,14 @@
 	 of the occurrences of the biv with a giv, but no harm was done in
 	 doing so in the rare cases where it can occur.  */
 
+      /* intel1 Retry compare elimination this time for loop trip test.  */
+      if (flag_compare_elim && !flag_unroll_loops 
+         && !done_compare_elimination && bl->retry_celim > 1 
+         && all_reduced == 1 && bl->eliminable)
+        {
+	  compare_elimination (bl, loop_start, loop_end, 
+                          compare_insn, jump_insn, 1);
+        } 
       if (all_reduced == 1 && bl->eliminable
 	  && maybe_eliminate_biv (bl, loop_start, end, 1,
 				  threshold, insn_count))
@@ -4020,6 +4585,19 @@
 	    fprintf (loop_dump_stream, "Reg %d: biv eliminated\n",
 		     bl->regno);
 	}
+      /* intel1 Retry compare elimination this time handling ashifhts. */
+      else if (flag_compare_elim && !flag_unroll_loops 
+               && !done_compare_elimination && bl->retry_celim == 1)
+        {
+	  if (compare_elimination (bl, loop_start, loop_end, 
+	                         compare_insn, jump_insn, 1))
+	    {
+    	      rtx tem = find_reg_note (bl->init_insn, REG_EQUAL, 0);
+	      if (tem)
+		XEXP (tem, 0) = SET_SRC (bl->init_set);
+ 	      bl->initial_value = SET_SRC (bl->init_set);;
+	    }
+        } 
     }
 
   /* Go through all the instructions in the loop, making all the
@@ -4101,6 +4679,8 @@
   register int i, j;
   register enum rtx_code code;
   register char *fmt;
+  /* intel1 */
+  rtx tx;
 
   if (x == 0)
     return;
@@ -4132,6 +4712,24 @@
 	benefit = general_induction_var (XEXP (x, 0),
 					 &src_reg, &add_val, &mult_val);
 
+	/* intel1
+	   For now lets strip off consty and try to recoginze the result
+	   as a possible mem_giv.  */
+#ifdef REWRITE_ADDRESS
+	if (flag_opt_reg_use
+	   && benefit == 0 && GET_CODE (XEXP (x, 0)) == PLUS 
+	   && GET_CODE (XEXP (XEXP (x, 0), 0)) == PLUS 
+	   &&  (GET_CODE (XEXP (XEXP (x, 0), 1)) == CONST_INT 
+	    || GET_CODE (XEXP (XEXP (x, 0), 1)) == CONST 
+	    || GET_CODE (XEXP (XEXP (x, 0), 1)) == SYMBOL_REF))
+	  {
+	    tx = x;
+	    x = XEXP (x, 0);
+	    benefit = general_induction_var (XEXP (x, 0),
+                                             &src_reg, &add_val, &mult_val);
+	  }
+#endif
+
 	/* Don't make a DEST_ADDR giv with mult_val == 1 && add_val == 0.
 	   Such a giv isn't useful.  */
 	if (benefit > 0 && (mult_val != const1_rtx || add_val != const0_rtx))
@@ -4140,6 +4738,25 @@
 	    struct induction *v
 	      = (struct induction *) oballoc (sizeof (struct induction));
 
+/* intel1 */
+#ifdef REDUCE_INDEX
+#ifdef REWRITE_ADDRESS
+#ifdef LEGITIMATE_INDEX_P
+	rtx * index_part;
+	/* try to eliminate index terms */		
+	if (REDUCE_INDEX && flag_reduce_index_givs
+	   && do_reduce_index (x, &add_val))
+	  { 
+	    index_part = &XEXP (XEXP (x, 0), 0);
+	    record_giv (v, insn, src_reg, addr_placeholder, mult_val,
+	               add_val, benefit, DEST_ADDR, not_every_iteration,
+	               index_part, loop_start, loop_end);
+	    v->is_index_induc = 1;
+	  }
+	else
+#endif
+#endif
+#endif
 	    record_giv (v, insn, src_reg, addr_placeholder, mult_val,
 			add_val, benefit, DEST_ADDR, not_every_iteration,
 			&XEXP (x, 0), loop_start, loop_end);
@@ -4227,6 +4844,8 @@
       bl->eliminable = 0;
       bl->nonneg = 0;
       bl->reversed = 0;
+      /* intel1 */
+      bl->retry_celim = 0;
       bl->total_benefit = 0;
 
       /* Add this class to loop_iv_list.  */
@@ -4310,6 +4929,10 @@
   v->ignore = 0;
   v->new_reg = 0;
   v->final_value = 0;
+  /* intel1 */
+#ifdef REDUCE_INDEX
+  v->is_index_induc = 0;
+#endif
 
   /* The v->always_computable field is used in update_giv_derive, to
      determine whether a giv can be used to derive another giv.  For a
@@ -4617,7 +5240,8 @@
 
 	      if (GET_CODE (p) == JUMP_INSN && JUMP_LABEL (p)
 		  && LABEL_NAME (JUMP_LABEL (p))
-		  && ((INSN_LUID (JUMP_LABEL (p)) < INSN_LUID (v->insn)
+		  && ( INSN_UID(v->insn)>=max_uid_for_loop /* intel1 */
+		      || (INSN_LUID (JUMP_LABEL (p)) < INSN_LUID (v->insn)
 		       && INSN_LUID (JUMP_LABEL (p)) > INSN_LUID (loop_start))
 		      || (INSN_LUID (JUMP_LABEL (p)) > INSN_LUID (last_giv_use)
 			  && INSN_LUID (JUMP_LABEL (p)) < INSN_LUID (loop_end))))
@@ -5440,9 +6064,26 @@
      the expression of G2 in terms of G1 can be used.  */
   if (g2->giv_type == DEST_ADDR
       && (tem = express_from (g1, g2)) != 0
+/* intel1 */
+#ifdef REDUCE_INDEX
+      && ((g2->is_index_induc && LEGITIMATE_INDEX_P(tem)) 
+           || (g2->is_index_induc == 0 && memory_address_p (g2->mem_mode, tem)
+           && ADDRESS_COST (tem) <= ADDRESS_COST (*g2->location))
+         )
+#else
       && memory_address_p (g2->mem_mode, tem)
-      && ADDRESS_COST (tem) <= ADDRESS_COST (*g2->location))
+      && ADDRESS_COST (tem) <= ADDRESS_COST (*g2->location)
+#endif
+     )
     {
+/* intel1 */
+#ifdef SAVE_ON_REGS
+      
+      if (flag_opt_reg_use && ADDRESS_COST (tem) != 1)
+      {
+        return(0);
+      }
+#endif
       g2->new_reg = tem;
       return 1;
     }
@@ -6234,6 +6875,15 @@
       for (v = bl->giv; v; v = v->next_iv)
 	if (v->giv_type == DEST_ADDR && v->location == &XEXP (x, 0))
 	  return 1;
+/* intel1 */
+#ifdef REDUCE_INDEX
+#ifdef LEGITIMATE_INDEX_P
+      for (v = bl->giv; v; v = v->next_iv)
+	if (REDUCE_INDEX && v->giv_type == DEST_ADDR && v->is_index_induc 
+	    && v->location == &XEXP (XEXP(x,0), 0))
+	  return 1;
+#endif
+#endif
       break;
     }
 
diff -r -u -H -N gcc-2.6.3/loop.h gcc-i2.6.3/loop.h
--- gcc-2.6.3/loop.h	Fri Mar 19 21:10:47 1993
+++ gcc-i2.6.3/loop.h	Wed Feb 15 22:47:14 1995
@@ -87,6 +87,10 @@
   unsigned maybe_dead : 1;	/* 1 if this giv might be dead.  In that case,
 				   we won't use it to eliminate a biv, it
 				   would probably lose. */
+#ifdef REDUCE_INDEX
+  unsigned is_index_induc:1; /* 1 if this is actually the index portion
+                                of a DEST_ADDR g_type intel1 */
+#endif
   int lifetime;			/* Length of life of this giv */
   int times_used;		/* # times this giv is used. */
   rtx derive_adjustment;	/* If nonzero, is an adjustment to be
@@ -128,6 +132,8 @@
   unsigned nonneg : 1;		/* 1 if we added a REG_NONNEG note for this. */
   unsigned reversed : 1;	/* 1 if we reversed the loop that this
 				   biv controls. */
+  unsigned retry_celim :2; /*intel1 is >0 if we should retry compare 
+                             elimination at the end of strength reduction */
 };
 
 /* Definitions used by the basic induction variable discovery code.  */
diff -r -u -H -N gcc-2.6.3/objc/hash.s gcc-i2.6.3/objc/hash.s
--- gcc-2.6.3/objc/hash.s	Wed Dec 31 19:00:00 1969
+++ gcc-i2.6.3/objc/hash.s	Tue Nov  8 16:29:11 1994
@@ -0,0 +1,1028 @@
+	.file	1 "hash.c"
+	.option pic2
+
+ # GNU C 2.6.1 [AL 1.1, MM 40] SGI running IRIX 5.0 compiled by CC
+
+ # Cc1 defaults:
+ # -mabicalls
+
+ # Cc1 arguments (-G value = 0, Cpu = 3000, ISA = 1):
+ # -quiet -dumpbase -g -O -o
+
+gcc2_compiled.:
+__gnu_compiled_c:
+	.text
+	.def	ptrdiff_t;	.scl	13;	.etype	0x4;	.endef
+	.def	size_t;	.scl	13;	.etype	0xe;	.endef
+	.def	wchar_t;	.scl	13;	.etype	0x5;	.endef
+	.def	cache_node;	.scl	10;	.etype	0x8;	.esize	12;	.endef
+	.def	next;	.val	0;	.scl	8;	.tag	cache_node;	.esize	12;	.etype	0x18;	.endef
+	.def	key;	.val	4;	.scl	8;	.etype	0x11;	.endef
+	.def	value;	.val	8;	.scl	8;	.etype	0x11;	.endef
+	.def	.eos;	.val	12;	.scl	102;	.tag	cache_node;	.esize	12;	.endef
+	.def	node_ptr;	.scl	13;	.tag	cache_node;	.esize	12;	.etype	0x18;	.endef
+	.def	hash_func_type;	.scl	13;	.etype	0x9e;	.endef
+	.def	compare_func_type;	.scl	13;	.etype	0x94;	.endef
+	.def	cache;	.scl	10;	.etype	0x8;	.esize	28;	.endef
+	.def	node_table;	.val	0;	.scl	8;	.tag	cache_node;	.esize	12;	.etype	0x58;	.endef
+	.def	size;	.val	4;	.scl	8;	.etype	0xe;	.endef
+	.def	used;	.val	8;	.scl	8;	.etype	0xe;	.endef
+	.def	mask;	.val	12;	.scl	8;	.etype	0xe;	.endef
+	.def	last_bucket;	.val	16;	.scl	8;	.etype	0xe;	.endef
+	.def	hash_func;	.val	20;	.scl	8;	.etype	0x9e;	.endef
+	.def	compare_func;	.val	24;	.scl	8;	.etype	0x94;	.endef
+	.def	.eos;	.val	28;	.scl	102;	.tag	cache;	.esize	28;	.endef
+	.def	cache_ptr;	.scl	13;	.tag	cache;	.esize	28;	.etype	0x18;	.endef
+	.def	BOOL;	.scl	13;	.etype	0xc;	.endef
+	.def	objc_selector;	.scl	10;	.etype	0x8;	.esize	8;	.endef
+	.def	sel_id;	.val	0;	.scl	8;	.etype	0x11;	.endef
+	.def	sel_types;	.val	4;	.scl	8;	.etype	0x1c;	.endef
+	.def	.eos;	.val	8;	.scl	102;	.tag	objc_selector;	.esize	8;	.endef
+	.def	SEL;	.scl	13;	.tag	objc_selector;	.esize	8;	.etype	0x18;	.endef
+	.def	objc_object;	.scl	10;	.etype	0x8;	.esize	4;	.endef
+	.def	class_pointer;	.val	0;	.scl	8;	.tag	objc_class;	.esize	0;	.etype	0x18;	.endef
+	.def	.eos;	.val	4;	.scl	102;	.tag	objc_object;	.esize	4;	.endef
+	.def	id;	.scl	13;	.tag	objc_object;	.esize	4;	.etype	0x18;	.endef
+	.def	IMP;	.scl	13;	.tag	objc_object;	.esize	4;	.etype	0x198;	.endef
+	.def	STR;	.scl	13;	.etype	0x1c;	.endef
+	.def	MetaClass;	.scl	13;	.tag	objc_class;	.esize	0;	.etype	0x8;	.endef
+	.def	Class;	.scl	13;	.tag	objc_class;	.esize	0;	.etype	0x8;	.endef
+	.def	objc_class;	.scl	10;	.etype	0x8;	.esize	48;	.endef
+	.def	class_pointer;	.val	0;	.scl	8;	.tag	objc_class;	.esize	48;	.etype	0x18;	.endef
+	.def	super_class;	.val	4;	.scl	8;	.tag	objc_class;	.esize	48;	.etype	0x18;	.endef
+	.def	name;	.val	8;	.scl	8;	.etype	0x1c;	.endef
+	.def	version;	.val	12;	.scl	8;	.etype	0x5;	.endef
+	.def	info;	.val	16;	.scl	8;	.etype	0xf;	.endef
+	.def	instance_size;	.val	20;	.scl	8;	.etype	0x5;	.endef
+	.def	ivars;	.val	24;	.scl	8;	.tag	objc_ivar_list;	.esize	0;	.etype	0x18;	.endef
+	.def	methods;	.val	28;	.scl	8;	.tag	objc_method_list;	.esize	0;	.etype	0x18;	.endef
+	.def	dtable;	.val	32;	.scl	8;	.tag	sarray;	.esize	0;	.etype	0x18;	.endef
+	.def	subclass_list;	.val	36;	.scl	8;	.tag	objc_class;	.esize	48;	.etype	0x18;	.endef
+	.def	sibling_class;	.val	40;	.scl	8;	.tag	objc_class;	.esize	48;	.etype	0x18;	.endef
+	.def	protocols;	.val	44;	.scl	8;	.tag	objc_protocol_list;	.esize	0;	.etype	0x18;	.endef
+	.def	.eos;	.val	48;	.scl	102;	.tag	objc_class;	.esize	48;	.endef
+	.def	objc_protocol;	.scl	10;	.etype	0x8;	.esize	20;	.endef
+	.def	class_pointer;	.val	0;	.scl	8;	.tag	objc_class;	.esize	48;	.etype	0x18;	.endef
+	.def	protocol_name;	.val	4;	.scl	8;	.etype	0x1c;	.endef
+	.def	protocol_list;	.val	8;	.scl	8;	.tag	objc_protocol_list;	.esize	0;	.etype	0x18;	.endef
+	.def	instance_methods;	.val	12;	.scl	8;	.tag	objc_method_description_list;	.esize	0;	.etype	0x18;	.endef
+	.def	class_methods;	.val	16;	.scl	8;	.tag	objc_method_description_list;	.esize	0;	.etype	0x18;	.endef
+	.def	.eos;	.val	20;	.scl	102;	.tag	objc_protocol;	.esize	20;	.endef
+	.def	Protocol;	.scl	13;	.tag	objc_protocol;	.esize	20;	.etype	0x8;	.endef
+	.def	retval_t;	.scl	13;	.etype	0x11;	.endef
+	.def	apply_t;	.scl	13;	.etype	0x91;	.endef
+	.def	.0fake;	.scl	12;	.etype	0x9;	.esize	4;	.endef
+	.def	arg_ptr;	.val	0;	.scl	11;	.etype	0x1c;	.endef
+	.def	arg_regs;	.val	0;	.scl	11;	.dim	4;	.esize	4;	.etype	0x3c;	.endef
+	.def	.eos;	.val	4;	.scl	102;	.tag	.0fake;	.esize	4;	.endef
+	.def	arglist_t;	.scl	13;	.tag	.0fake;	.esize	4;	.etype	0x19;	.endef
+	.def	__gnuc_va_list;	.scl	13;	.etype	0x1c;	.endef
+	.def	va_list;	.scl	13;	.etype	0x1c;	.endef
+	.rdata
+
+	.byte	0x24,0x52,0x65,0x76,0x69,0x73,0x69,0x6f
+	.byte	0x6e,0x3a,0x20,0x31,0x2e,0x34,0x36,0x20
+	.byte	0x24,0x0
+	.text
+	.def	fpos_t;	.scl	13;	.etype	0x5;	.endef
+	.def	__file_s;	.scl	10;	.etype	0x8;	.esize	16;	.endef
+	.def	_cnt;	.val	0;	.scl	8;	.etype	0x4;	.endef
+	.def	_ptr;	.val	4;	.scl	8;	.etype	0x1c;	.endef
+	.def	_base;	.val	8;	.scl	8;	.etype	0x1c;	.endef
+	.def	_flag;	.val	12;	.scl	8;	.etype	0xc;	.endef
+	.def	_file;	.val	13;	.scl	8;	.etype	0xc;	.endef
+	.def	.eos;	.val	16;	.scl	102;	.tag	__file_s;	.esize	16;	.endef
+	.def	FILE;	.scl	13;	.tag	__file_s;	.esize	16;	.etype	0x8;	.endef
+	.rdata
+
+	.byte	0x24,0x52,0x65,0x76,0x69,0x73,0x69,0x6f
+	.byte	0x6e,0x3a,0x20,0x31,0x2e,0x32,0x30,0x20
+	.byte	0x24,0x0
+	.text
+	.def	objc_method_description;	.scl	10;	.etype	0x8;	.esize	8;	.endef
+	.def	name;	.val	0;	.scl	8;	.tag	objc_selector;	.esize	8;	.etype	0x18;	.endef
+	.def	types;	.val	4;	.scl	8;	.etype	0x1c;	.endef
+	.def	.eos;	.val	8;	.scl	102;	.tag	objc_method_description;	.esize	8;	.endef
+	.def	objc_symtab;	.scl	10;	.etype	0x8;	.esize	16;	.endef
+	.def	sel_ref_cnt;	.val	0;	.scl	8;	.etype	0xf;	.endef
+	.def	refs;	.val	4;	.scl	8;	.tag	objc_selector;	.esize	8;	.etype	0x18;	.endef
+	.def	cls_def_cnt;	.val	8;	.scl	8;	.etype	0xd;	.endef
+	.def	cat_def_cnt;	.val	10;	.scl	8;	.etype	0xd;	.endef
+	.def	defs;	.val	12;	.scl	8;	.dim	1;	.esize	4;	.etype	0x71;	.endef
+	.def	.eos;	.val	16;	.scl	102;	.tag	objc_symtab;	.esize	16;	.endef
+	.def	Symtab;	.scl	13;	.tag	objc_symtab;	.esize	16;	.etype	0x8;	.endef
+	.def	Symtab_t;	.scl	13;	.tag	objc_symtab;	.esize	16;	.etype	0x18;	.endef
+	.def	objc_module;	.scl	10;	.etype	0x8;	.esize	16;	.endef
+	.def	version;	.val	0;	.scl	8;	.etype	0xf;	.endef
+	.def	size;	.val	4;	.scl	8;	.etype	0xf;	.endef
+	.def	name;	.val	8;	.scl	8;	.etype	0x1c;	.endef
+	.def	symtab;	.val	12;	.scl	8;	.tag	objc_symtab;	.esize	16;	.etype	0x18;	.endef
+	.def	.eos;	.val	16;	.scl	102;	.tag	objc_module;	.esize	16;	.endef
+	.def	Module;	.scl	13;	.tag	objc_module;	.esize	16;	.etype	0x8;	.endef
+	.def	Module_t;	.scl	13;	.tag	objc_module;	.esize	16;	.etype	0x18;	.endef
+	.def	Ivar_t;	.scl	13;	.tag	objc_ivar;	.esize	0;	.etype	0x18;	.endef
+	.def	objc_ivar;	.scl	10;	.etype	0x8;	.esize	12;	.endef
+	.def	ivar_name;	.val	0;	.scl	8;	.etype	0x1c;	.endef
+	.def	ivar_type;	.val	4;	.scl	8;	.etype	0x1c;	.endef
+	.def	ivar_offset;	.val	8;	.scl	8;	.etype	0x4;	.endef
+	.def	.eos;	.val	12;	.scl	102;	.tag	objc_ivar;	.esize	12;	.endef
+	.def	objc_ivar_list;	.scl	10;	.etype	0x8;	.esize	16;	.endef
+	.def	ivar_count;	.val	0;	.scl	8;	.etype	0x4;	.endef
+	.def	ivar_list;	.val	4;	.scl	8;	.tag	objc_ivar;	.dim	1;	.esize	12;	.etype	0x38;	.endef
+	.def	.eos;	.val	16;	.scl	102;	.tag	objc_ivar_list;	.esize	16;	.endef
+	.def	IvarList;	.scl	13;	.tag	objc_ivar_list;	.esize	16;	.etype	0x8;	.endef
+	.def	IvarList_t;	.scl	13;	.tag	objc_ivar_list;	.esize	16;	.etype	0x18;	.endef
+	.def	Method;	.scl	13;	.tag	objc_method;	.esize	0;	.etype	0x8;	.endef
+	.def	Method_t;	.scl	13;	.tag	objc_method;	.esize	0;	.etype	0x18;	.endef
+	.def	objc_method;	.scl	10;	.etype	0x8;	.esize	12;	.endef
+	.def	method_name;	.val	0;	.scl	8;	.tag	objc_selector;	.esize	8;	.etype	0x18;	.endef
+	.def	method_types;	.val	4;	.scl	8;	.etype	0x1c;	.endef
+	.def	method_imp;	.val	8;	.scl	8;	.tag	objc_object;	.esize	4;	.etype	0x198;	.endef
+	.def	.eos;	.val	12;	.scl	102;	.tag	objc_method;	.esize	12;	.endef
+	.def	objc_method_list;	.scl	10;	.etype	0x8;	.esize	20;	.endef
+	.def	method_next;	.val	0;	.scl	8;	.tag	objc_method_list;	.esize	20;	.etype	0x18;	.endef
+	.def	method_count;	.val	4;	.scl	8;	.etype	0x4;	.endef
+	.def	method_list;	.val	8;	.scl	8;	.tag	objc_method;	.dim	1;	.esize	12;	.etype	0x38;	.endef
+	.def	.eos;	.val	20;	.scl	102;	.tag	objc_method_list;	.esize	20;	.endef
+	.def	MethodList;	.scl	13;	.tag	objc_method_list;	.esize	20;	.etype	0x8;	.endef
+	.def	MethodList_t;	.scl	13;	.tag	objc_method_list;	.esize	20;	.etype	0x18;	.endef
+	.def	objc_protocol_list;	.scl	10;	.etype	0x8;	.esize	12;	.endef
+	.def	next;	.val	0;	.scl	8;	.tag	objc_protocol_list;	.esize	12;	.etype	0x18;	.endef
+	.def	count;	.val	4;	.scl	8;	.etype	0x4;	.endef
+	.def	list;	.val	8;	.scl	8;	.tag	objc_protocol;	.dim	1;	.esize	4;	.etype	0x78;	.endef
+	.def	.eos;	.val	12;	.scl	102;	.tag	objc_protocol_list;	.esize	12;	.endef
+	.def	objc_category;	.scl	10;	.etype	0x8;	.esize	20;	.endef
+	.def	category_name;	.val	0;	.scl	8;	.etype	0x1c;	.endef
+	.def	class_name;	.val	4;	.scl	8;	.etype	0x1c;	.endef
+	.def	instance_methods;	.val	8;	.scl	8;	.tag	objc_method_list;	.esize	20;	.etype	0x18;	.endef
+	.def	class_methods;	.val	12;	.scl	8;	.tag	objc_method_list;	.esize	20;	.etype	0x18;	.endef
+	.def	protocols;	.val	16;	.scl	8;	.tag	objc_protocol_list;	.esize	12;	.etype	0x18;	.endef
+	.def	.eos;	.val	20;	.scl	102;	.tag	objc_category;	.esize	20;	.endef
+	.def	Category;	.scl	13;	.tag	objc_category;	.esize	20;	.etype	0x8;	.endef
+	.def	Category_t;	.scl	13;	.tag	objc_category;	.esize	20;	.etype	0x18;	.endef
+	.def	objc_super;	.scl	10;	.etype	0x8;	.esize	8;	.endef
+	.def	self;	.val	0;	.scl	8;	.tag	objc_object;	.esize	4;	.etype	0x18;	.endef
+	.def	class;	.val	4;	.scl	8;	.tag	objc_class;	.esize	48;	.etype	0x18;	.endef
+	.def	.eos;	.val	8;	.scl	102;	.tag	objc_super;	.esize	8;	.endef
+	.def	Super;	.scl	13;	.tag	objc_super;	.esize	8;	.etype	0x8;	.endef
+	.def	Super_t;	.scl	13;	.tag	objc_super;	.esize	8;	.etype	0x18;	.endef
+	.rdata
+	.align	2
+$LC0:
+
+	.byte	0x4e,0x69,0x6c,0x0
+	.text
+	.def	objc_list;	.scl	10;	.etype	0x8;	.esize	8;	.endef
+	.def	head;	.val	0;	.scl	8;	.etype	0x11;	.endef
+	.def	tail;	.val	4;	.scl	8;	.tag	objc_list;	.esize	8;	.etype	0x18;	.endef
+	.def	.eos;	.val	8;	.scl	102;	.tag	objc_list;	.esize	8;	.endef
+	.align	2
+	.def	list_free;	.val	list_free;	.scl	3;	.etype	0x21;	.endef
+	.file	2 "../objc/list.h"
+
+	.loc	2 139
+	.ent	list_free
+list_free:
+	.frame	$sp,40,$31		# vars= 0, regs= 3/0, args= 16, extra= 8
+	.mask	0x90010000,-8
+	.fmask	0x00000000,0
+	.set	noreorder
+	.cpload	$25
+	.set	reorder
+	subu	$sp,$sp,40
+	.cprestore 16
+	sw	$31,32($sp)
+	sw	$28,28($sp)
+	sw	$16,24($sp)
+	move	$16,$4
+	.def	list;	.val	16;	.scl	17;	.tag	objc_list;	.esize	8;	.etype	0x18;	.endef
+
+	.loc	2 140
+$Lb0:
+	.begin	$Lb0	2
+	beq	$16,$0,$L113
+
+	.loc	2 142
+$Lb1:
+	.begin	$Lb1	4
+	lw	$4,4($16)
+	jal	list_free
+
+	.loc	2 143
+	move	$4,$16
+	jal	free
+
+	.loc	2 144
+$Le2:
+	.bend	$Le2	6
+$L113:
+
+	.loc	2 145
+$Le3:
+	.bend	$Le3	7
+	lw	$31,32($sp)
+	lw	$16,24($sp)
+	addu	$sp,$sp,40
+	j	$31
+	.end	list_free
+	.rdata
+	.align	2
+$LC1:
+
+	.byte	0x25,0x73,0x3a,0x25,0x75,0x3a,0x20,0x66
+	.byte	0x61,0x69,0x6c,0x65,0x64,0x20,0x61,0x73
+	.byte	0x73,0x65,0x72,0x74,0x69,0x6f,0x6e,0x20
+	.byte	0x60,0x25,0x73,0x27,0xa,0x0
+	.align	2
+$LC2:
+
+	.byte	0x68,0x61,0x73,0x68,0x2e,0x63,0x0
+	.align	2
+$LC3:
+
+	.byte	0x73,0x69,0x7a,0x65,0x0
+	.align	2
+$LC4:
+
+	.byte	0x21,0x28,0x73,0x69,0x7a,0x65,0x20,0x26
+	.byte	0x20,0x28,0x73,0x69,0x7a,0x65,0x20,0x2d
+	.byte	0x20,0x31,0x29,0x29,0x0
+	.align	2
+$LC5:
+
+	.byte	0x63,0x61,0x63,0x68,0x65,0x0
+	.align	2
+$LC6:
+
+	.byte	0x63,0x61,0x63,0x68,0x65,0x2d,0x3e,0x6e
+	.byte	0x6f,0x64,0x65,0x5f,0x74,0x61,0x62,0x6c
+	.byte	0x65,0x0
+	.text
+	.align	2
+	.def	hash_new;	.val	hash_new;	.scl	2;	.tag	cache;	.esize	28;	.etype	0x68;	.endef
+	.globl	hash_new
+	.file	3 "hash.c"
+
+	.loc	3 47
+	.ent	hash_new
+hash_new:
+	.frame	$sp,48,$31		# vars= 0, regs= 6/0, args= 16, extra= 8
+	.mask	0x900f0000,-4
+	.fmask	0x00000000,0
+	.set	noreorder
+	.cpload	$25
+	.set	reorder
+	subu	$sp,$sp,48
+	.cprestore 16
+	sw	$31,44($sp)
+	sw	$28,40($sp)
+	sw	$19,36($sp)
+	sw	$18,32($sp)
+	sw	$17,28($sp)
+	sw	$16,24($sp)
+	move	$17,$4
+	move	$18,$5
+	.def	size;	.val	17;	.scl	17;	.etype	0xe;	.endef
+	.def	hash_func;	.val	18;	.scl	17;	.etype	0x9e;	.endef
+	.def	compare_func;	.val	19;	.scl	17;	.etype	0x94;	.endef
+
+	.loc	3 48
+$Lb4:
+	.begin	$Lb4	2
+	.def	cache;	.val	16;	.scl	4;	.tag	cache;	.esize	28;	.etype	0x18;	.endef
+
+	.loc	3 51
+	.set	noreorder
+	.set	nomacro
+	bne	$17,$0,$L116
+	move	$19,$6
+	.set	macro
+	.set	reorder
+
+	la	$4,$LC1
+	la	$5,$LC2
+	li	$6,0x00000033		# 51
+	la	$7,$LC3
+	jal	__eprintf
+$L116:
+
+	.loc	3 52
+	addu	$2,$17,-1
+	and	$2,$17,$2
+	.set	noreorder
+	.set	nomacro
+	beq	$2,$0,$L118
+	li	$6,0x00000034		# 52
+	.set	macro
+	.set	reorder
+
+	la	$4,$LC1
+	la	$5,$LC2
+	la	$7,$LC4
+	jal	__eprintf
+$L118:
+
+	.loc	3 56
+	li	$4,0x00000001		# 1
+	li	$5,0x0000001c		# 28
+	jal	__objc_xcalloc
+	move	$16,$2
+
+	.loc	3 57
+	.set	noreorder
+	.set	nomacro
+	bne	$16,$0,$L123
+	move	$4,$17
+	.set	macro
+	.set	reorder
+
+	la	$4,$LC1
+	la	$5,$LC2
+	li	$6,0x00000039		# 57
+	la	$7,$LC5
+	jal	__eprintf
+
+	.loc	3 61
+	move	$4,$17
+$L123:
+	li	$5,0x00000004		# 4
+	jal	__objc_xcalloc
+
+	.loc	3 63
+	.set	noreorder
+	.set	nomacro
+	bne	$2,$0,$L122
+	sw	$2,0($16)
+	.set	macro
+	.set	reorder
+
+	la	$4,$LC1
+	la	$5,$LC2
+	li	$6,0x0000003f		# 63
+	la	$7,$LC6
+	jal	__eprintf
+$L122:
+
+	.loc	3 65
+	sw	$17,4($16)
+
+	.loc	3 68
+	addu	$2,$17,-1
+	sw	$2,12($16)
+
+	.loc	3 71
+	sw	$18,20($16)
+
+	.loc	3 75
+	sw	$19,24($16)
+
+	.loc	3 77
+	move	$2,$16
+
+	.loc	3 78
+$Le5:
+	.bend	$Le5	32
+	lw	$31,44($sp)
+	lw	$19,36($sp)
+	lw	$18,32($sp)
+	lw	$17,28($sp)
+	lw	$16,24($sp)
+	addu	$sp,$sp,48
+	j	$31
+	.end	hash_new
+	.align	2
+	.def	hash_delete;	.val	hash_delete;	.scl	2;	.etype	0x21;	.endef
+	.globl	hash_delete
+
+	.loc	3 83
+	.ent	hash_delete
+hash_delete:
+	.frame	$sp,40,$31		# vars= 0, regs= 3/0, args= 16, extra= 8
+	.mask	0x90010000,-8
+	.fmask	0x00000000,0
+	.set	noreorder
+	.cpload	$25
+	.set	reorder
+	subu	$sp,$sp,40
+	.cprestore 16
+	sw	$31,32($sp)
+	sw	$28,28($sp)
+	sw	$16,24($sp)
+	move	$16,$4
+	.def	cache;	.val	16;	.scl	17;	.tag	cache;	.esize	28;	.etype	0x18;	.endef
+
+	.loc	3 84
+$Lb6:
+	.begin	$Lb6	2
+	.def	node;	.val	2;	.scl	4;	.tag	cache_node;	.esize	12;	.etype	0x18;	.endef
+
+	.loc	3 88
+	move	$4,$16
+$L128:
+	move	$5,$0
+	jal	hash_next
+	.set	noreorder
+	.set	nomacro
+	beq	$2,$0,$L126
+	move	$4,$16
+	.set	macro
+	.set	reorder
+
+
+	.loc	3 89
+	lw	$5,4($2)
+	jal	hash_remove
+	.set	noreorder
+	.set	nomacro
+	j	$L128
+	move	$4,$16
+	.set	macro
+	.set	reorder
+
+$L126:
+
+	.loc	3 92
+	lw	$4,0($16)
+	jal	free
+
+	.loc	3 93
+	move	$4,$16
+	jal	free
+
+	.loc	3 94
+$Le7:
+	.bend	$Le7	12
+	lw	$31,32($sp)
+	lw	$16,24($sp)
+	addu	$sp,$sp,40
+	j	$31
+	.end	hash_delete
+	.rdata
+	.align	2
+$LC7:
+
+	.byte	0x6e,0x6f,0x64,0x65,0x0
+	.text
+	.align	2
+	.def	hash_add;	.val	hash_add;	.scl	2;	.etype	0x21;	.endef
+	.globl	hash_add
+
+	.loc	3 99
+	.ent	hash_add
+hash_add:
+	.frame	$sp,64,$31		# vars= 8, regs= 7/0, args= 16, extra= 8
+	.mask	0x901f0000,-8
+	.fmask	0x00000000,0
+	.set	noreorder
+	.cpload	$25
+	.set	reorder
+	subu	$sp,$sp,64
+	.cprestore 16
+	sw	$31,56($sp)
+	sw	$28,52($sp)
+	sw	$20,48($sp)
+	sw	$19,44($sp)
+	sw	$18,40($sp)
+	sw	$17,36($sp)
+	sw	$16,32($sp)
+	move	$17,$4
+	move	$18,$5
+	move	$20,$6
+	.def	cachep;	.val	17;	.scl	17;	.tag	cache;	.esize	28;	.etype	0x58;	.endef
+	.def	key;	.val	18;	.scl	17;	.etype	0x11;	.endef
+	.def	value;	.val	20;	.scl	17;	.etype	0x11;	.endef
+
+	.loc	3 100
+$Lb8:
+	.begin	$Lb8	2
+	.def	indx;	.val	19;	.scl	4;	.etype	0xe;	.endef
+	.def	node;	.val	16;	.scl	4;	.tag	cache_node;	.esize	12;	.etype	0x18;	.endef
+	lw	$4,0($17)
+	#nop
+	lw	$2,20($4)
+	#nop
+	move	$25,$2
+	jal	$31,$25
+	move	$19,$2
+
+	.loc	3 101
+	li	$4,0x00000001		# 1
+	li	$5,0x0000000c		# 12
+	jal	__objc_xcalloc
+	move	$16,$2
+
+	.loc	3 104
+	.set	noreorder
+	.set	nomacro
+	bne	$16,$0,$L131
+	li	$6,0x00000068		# 104
+	.set	macro
+	.set	reorder
+
+	la	$4,$LC1
+	la	$5,$LC2
+	la	$7,$LC7
+	jal	__eprintf
+$L131:
+
+	.loc	3 107
+	sw	$18,4($16)
+
+	.loc	3 108
+	sw	$20,8($16)
+
+	.loc	3 109
+	lw	$2,0($17)
+	#nop
+	lw	$2,0($2)
+	sll	$3,$19,2
+	addu	$2,$3,$2
+	lw	$2,0($2)
+	#nop
+	sw	$2,0($16)
+
+	.loc	3 125
+	lw	$2,0($17)
+	#nop
+	lw	$2,0($2)
+	#nop
+	addu	$3,$3,$2
+	sw	$16,0($3)
+
+	.loc	3 128
+	lw	$3,0($17)
+	#nop
+	lw	$2,8($3)
+	#nop
+	addu	$2,$2,1
+	sw	$2,8($3)
+
+	.loc	3 132
+	lw	$6,0($17)
+	#nop
+	lw	$4,4($6)
+	#nop
+	sll	$3,$4,2
+	addu	$3,$3,$4
+	sll	$2,$3,4
+	subu	$2,$2,$3
+	li	$3,0x51eb851f		# 1374389535
+	multu	$2,$3
+	mfhi	$2
+	#nop
+	#nop
+	srl	$2,$2,5
+	lw	$3,8($6)
+	#nop
+	sltu	$3,$3,$2
+	.set	noreorder
+	.set	nomacro
+	bne	$3,$0,$L132
+	move	$16,$0
+	.set	macro
+	.set	reorder
+
+
+	.loc	3 140
+$Lb9:
+	.begin	$Lb9	42
+	.def	node1;	.val	16;	.scl	4;	.tag	cache_node;	.esize	12;	.etype	0x18;	.endef
+	.def	new;	.val	-40;	.scl	1;	.tag	cache;	.esize	28;	.etype	0x18;	.endef
+
+	.loc	3 141
+	sll	$4,$4,1
+	lw	$5,20($6)
+	lw	$6,24($6)
+	jal	hash_new
+	sw	$2,24($sp)
+
+	.loc	3 149
+$L133:
+	lw	$4,0($17)
+	move	$5,$16
+	jal	hash_next
+	move	$16,$2
+	.set	noreorder
+	.set	nomacro
+	beq	$16,$0,$L134
+	addu	$4,$sp,24
+	.set	macro
+	.set	reorder
+
+
+	.loc	3 150
+	lw	$5,4($16)
+	lw	$6,8($16)
+	jal	hash_add
+	j	$L133
+$L134:
+
+	.loc	3 153
+	lw	$4,0($17)
+	jal	hash_delete
+
+	.loc	3 156
+	lw	$2,24($sp)
+	#nop
+	sw	$2,0($17)
+
+	.loc	3 157
+$Le10:
+	.bend	$Le10	59
+$L132:
+
+	.loc	3 158
+$Le11:
+	.bend	$Le11	60
+	lw	$31,56($sp)
+	lw	$20,48($sp)
+	lw	$19,44($sp)
+	lw	$18,40($sp)
+	lw	$17,36($sp)
+	lw	$16,32($sp)
+	addu	$sp,$sp,64
+	j	$31
+	.end	hash_add
+	.rdata
+	.align	2
+$LC8:
+
+	.byte	0x72,0x65,0x6d,0x6f,0x76,0x65,0x64,0x0
+	.text
+	.align	2
+	.def	hash_remove;	.val	hash_remove;	.scl	2;	.etype	0x21;	.endef
+	.globl	hash_remove
+
+	.loc	3 163
+	.ent	hash_remove
+hash_remove:
+	.frame	$sp,56,$31		# vars= 0, regs= 7/0, args= 16, extra= 8
+	.mask	0x901f0000,-8
+	.fmask	0x00000000,0
+	.set	noreorder
+	.cpload	$25
+	.set	reorder
+	subu	$sp,$sp,56
+	.cprestore 16
+	sw	$31,48($sp)
+	sw	$28,44($sp)
+	sw	$20,40($sp)
+	sw	$19,36($sp)
+	sw	$18,32($sp)
+	sw	$17,28($sp)
+	sw	$16,24($sp)
+	move	$19,$4
+	move	$20,$5
+	.def	cache;	.val	19;	.scl	17;	.tag	cache;	.esize	28;	.etype	0x18;	.endef
+	.def	key;	.val	20;	.scl	17;	.etype	0x11;	.endef
+
+	.loc	3 164
+$Lb12:
+	.begin	$Lb12	2
+	.def	indx;	.val	17;	.scl	4;	.etype	0xe;	.endef
+	.def	node;	.val	16;	.scl	4;	.tag	cache_node;	.esize	12;	.etype	0x18;	.endef
+	lw	$2,20($19)
+	#nop
+	move	$25,$2
+	jal	$31,$25
+	move	$17,$2
+
+	.loc	3 165
+	lw	$3,0($19)
+	sll	$2,$17,2
+	addu	$2,$2,$3
+	lw	$16,0($2)
+
+	.loc	3 169
+	#nop
+	.set	noreorder
+	.set	nomacro
+	bne	$16,$0,$L138
+	li	$6,0x000000a9		# 169
+	.set	macro
+	.set	reorder
+
+	la	$4,$LC1
+	la	$5,$LC2
+	la	$7,$LC7
+	jal	__eprintf
+$L138:
+
+	.loc	3 172
+	lw	$2,24($19)
+	lw	$4,4($16)
+	move	$5,$20
+	move	$25,$2
+	jal	$31,$25
+	.set	noreorder
+	.set	nomacro
+	beq	$2,$0,$L139
+	sll	$3,$17,2
+	.set	macro
+	.set	reorder
+
+
+	.loc	3 173
+$Lb13:
+	.begin	$Lb13	11
+	lw	$2,0($19)
+	#nop
+	addu	$3,$3,$2
+	lw	$2,0($16)
+	#nop
+	sw	$2,0($3)
+
+	.loc	3 174
+	move	$4,$16
+	jal	free
+
+	.loc	3 175
+$Le14:
+	.bend	$Le14	13
+	j	$L140
+$L139:
+
+	.loc	3 178
+$Lb15:
+	.begin	$Lb15	16
+	.def	prev;	.val	18;	.scl	4;	.tag	cache_node;	.esize	12;	.etype	0x18;	.endef
+	.def	removed;	.val	17;	.scl	4;	.etype	0xc;	.endef
+	move	$18,$16
+
+	.loc	3 179
+	move	$17,$0
+$L141:
+
+	.loc	3 183
+	lw	$2,24($19)
+	lw	$4,4($16)
+	move	$5,$20
+	move	$25,$2
+	jal	$31,$25
+	.set	noreorder
+	.set	nomacro
+	beq	$2,$0,$L144
+	move	$4,$16
+	.set	macro
+	.set	reorder
+
+
+	.loc	3 184
+$Lb16:
+	.begin	$Lb16	22
+	lw	$2,0($16)
+	#nop
+	sw	$2,0($18)
+
+	.loc	3 185
+	jal	free
+
+	.loc	3 186
+$Le17:
+	.bend	$Le17	24
+	.set	noreorder
+	.set	nomacro
+	j	$L143
+	li	$17,0x00000001		# 1
+	.set	macro
+	.set	reorder
+
+$L144:
+
+	.loc	3 187
+	move	$18,$16
+	lw	$16,0($16)
+
+	.loc	3 188
+$L143:
+	andi	$2,$17,0x00ff
+	bne	$2,$0,$L140
+	bne	$16,$0,$L141
+
+	.loc	3 189
+	.set	noreorder
+	.set	nomacro
+	bne	$2,$0,$L140
+	li	$6,0x000000bd		# 189
+	.set	macro
+	.set	reorder
+
+	la	$4,$LC1
+	la	$5,$LC2
+	la	$7,$LC8
+	jal	__eprintf
+
+	.loc	3 190
+$Le18:
+	.bend	$Le18	28
+$L140:
+
+	.loc	3 193
+	lw	$2,8($19)
+	#nop
+	addu	$2,$2,-1
+	sw	$2,8($19)
+
+	.loc	3 194
+$Le19:
+	.bend	$Le19	32
+	lw	$31,48($sp)
+	lw	$20,40($sp)
+	lw	$19,36($sp)
+	lw	$18,32($sp)
+	lw	$17,28($sp)
+	lw	$16,24($sp)
+	addu	$sp,$sp,56
+	j	$31
+	.end	hash_remove
+	.align	2
+	.def	hash_next;	.val	hash_next;	.scl	2;	.tag	cache_node;	.esize	12;	.etype	0x68;	.endef
+	.globl	hash_next
+
+	.loc	3 199
+	.ent	hash_next
+hash_next:
+	.frame	$sp,0,$31		# vars= 0, regs= 0/0, args= 0, extra= 0
+	.mask	0x00000000,0
+	.fmask	0x00000000,0
+	.set	noreorder
+	.cpload	$25
+	.set	reorder
+	.def	cache;	.val	4;	.scl	17;	.tag	cache;	.esize	28;	.etype	0x18;	.endef
+	.def	node;	.val	5;	.scl	17;	.tag	cache_node;	.esize	12;	.etype	0x18;	.endef
+
+	.loc	3 202
+	bne	$5,$0,$L164
+
+	.loc	3 207
+	.set	noreorder
+	.set	nomacro
+	j	$L152
+	sw	$0,16($4)
+	.set	macro
+	.set	reorder
+
+$L164:
+
+	.loc	3 208
+	lw	$2,0($5)
+	#nop
+	bne	$2,$0,$L166
+
+	.loc	3 213
+	lw	$2,16($4)
+	#nop
+	addu	$2,$2,1
+	sw	$2,16($4)
+$L152:
+
+	.loc	3 218
+	lw	$2,16($4)
+	#nop
+	move	$5,$2
+	lw	$3,4($4)
+	#nop
+	sltu	$2,$2,$3
+	.set	noreorder
+	.set	nomacro
+	beq	$2,$0,$L166
+	move	$2,$0
+	.set	macro
+	.set	reorder
+
+
+	.loc	3 221
+	lw	$6,0($4)
+
+	.loc	3 222
+	sll	$2,$5,2
+$L167:
+	addu	$2,$2,$6
+	lw	$2,0($2)
+	#nop
+	bne	$2,$0,$L166
+
+	.loc	3 225
+	lw	$2,16($4)
+	#nop
+	addu	$2,$2,1
+	sw	$2,16($4)
+	move	$5,$2
+	sltu	$2,$2,$3
+	.set	noreorder
+	.set	nomacro
+	bne	$2,$0,$L167
+	sll	$2,$5,2
+	.set	macro
+	.set	reorder
+
+
+	.loc	3 223
+
+	.loc	3 230
+	move	$2,$0
+
+	.loc	3 231
+$L166:
+	j	$31
+	.end	hash_next
+	.align	2
+	.def	hash_value_for_key;	.val	hash_value_for_key;	.scl	2;	.etype	0x61;	.endef
+	.globl	hash_value_for_key
+
+	.loc	3 239
+	.ent	hash_value_for_key
+hash_value_for_key:
+	.frame	$sp,48,$31		# vars= 0, regs= 6/0, args= 16, extra= 8
+	.mask	0x900f0000,-4
+	.fmask	0x00000000,0
+	.set	noreorder
+	.cpload	$25
+	.set	reorder
+	subu	$sp,$sp,48
+	.cprestore 16
+	sw	$31,44($sp)
+	sw	$28,40($sp)
+	sw	$19,36($sp)
+	sw	$18,32($sp)
+	sw	$17,28($sp)
+	sw	$16,24($sp)
+	move	$18,$4
+	move	$19,$5
+	.def	cache;	.val	18;	.scl	17;	.tag	cache;	.esize	28;	.etype	0x18;	.endef
+	.def	key;	.val	19;	.scl	17;	.etype	0x11;	.endef
+
+	.loc	3 240
+$Lb20:
+	.begin	$Lb20	2
+	.def	node;	.val	16;	.scl	4;	.tag	cache_node;	.esize	12;	.etype	0x18;	.endef
+	.def	retval;	.val	17;	.scl	4;	.etype	0x11;	.endef
+	lw	$2,20($18)
+	#nop
+	move	$25,$2
+	jal	$31,$25
+	lw	$3,0($18)
+	sll	$2,$2,2
+	addu	$2,$2,$3
+	lw	$16,0($2)
+
+	.loc	3 243
+	#nop
+	.set	noreorder
+	.set	nomacro
+	beq	$16,$0,$L169
+	move	$17,$0
+	.set	macro
+	.set	reorder
+
+$L170:
+
+	.loc	3 245
+	lw	$2,24($18)
+	lw	$4,4($16)
+	move	$5,$19
+	move	$25,$2
+	jal	$31,$25
+	beq	$2,$0,$L173
+
+	.loc	3 246
+	lw	$17,8($16)
+	j	$L172
+$L173:
+
+	.loc	3 248
+	lw	$16,0($16)
+
+	.loc	3 249
+$L172:
+	.set	noreorder
+	.set	nomacro
+	bne	$17,$0,$L177
+	move	$2,$17
+	.set	macro
+	.set	reorder
+
+	bne	$16,$0,$L170
+$L169:
+
+	.loc	3 251
+	move	$2,$17
+
+	.loc	3 252
+$Le21:
+	.bend	$Le21	14
+$L177:
+	lw	$31,44($sp)
+	lw	$19,36($sp)
+	lw	$18,32($sp)
+	lw	$17,28($sp)
+	lw	$16,24($sp)
+	addu	$sp,$sp,48
+	j	$31
+	.end	hash_value_for_key
+
+	.globl free .text
+	.globl __objc_xcalloc .text
+	.globl __eprintf .text
+	.globl __objc_xmalloc .text
+	.globl strcmp .text
diff -r -u -H -N gcc-2.6.3/objc-parse.c gcc-i2.6.3/objc-parse.c
--- gcc-2.6.3/objc-parse.c	Sat Aug 27 13:52:13 1994
+++ gcc-i2.6.3/objc-parse.c	Tue Nov  8 16:00:38 1994
@@ -1720,23 +1720,8 @@
 #endif
 
 #line 184 "/usr/local/lib/bison.simple"
-
-/* The user can define YYPARSE_PARAM as the name of an argument to be passed
-   into yyparse.  The argument should have type void *.
-   It should actually point to an object.
-   Grammar actions can access the variable by casting it
-   to the proper pointer type.  */
-
-#ifdef YYPARSE_PARAM
-#define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
-#else
-#define YYPARSE_PARAM
-#define YYPARSE_PARAM_DECL
-#endif
-
 int
-yyparse(YYPARSE_PARAM)
-     YYPARSE_PARAM_DECL
+yyparse()
 {
   register int yystate;
   register int yyn;
@@ -4532,7 +4517,7 @@
     break;}
 }
    /* the action file gets copied in in place of this dollarsign */
-#line 480 "/usr/local/lib/bison.simple"
+#line 465 "/usr/local/lib/bison.simple"
 
   yyvsp -= yylen;
   yyssp -= yylen;
diff -r -u -H -N gcc-2.6.3/print-rtl.c gcc-i2.6.3/print-rtl.c
--- gcc-2.6.3/print-rtl.c	Wed Jun 30 13:26:11 1993
+++ gcc-i2.6.3/print-rtl.c	Thu Feb 16 13:18:50 1995
@@ -230,6 +230,16 @@
   fprintf (stderr, "\n");
 }
 
+void
+tdebug_rtx(x, file)
+	rtx x;
+	FILE *file;
+{
+  outfile=file;
+  print_rtx(x);
+  fprintf(file, "\n");
+}
+
 /* Count of rtx's to print with debug_rtx_list.
    This global exists because gdb user defined commands have no arguments.  */
 
